/* $Header:opset.c 12.0$ */
/* $ACIS:opset.c 12.0$ */
/* $Source: /ibm/acis/usr/src/bin/adb_ca/RCS/opset.c,v $ */

#ifndef lint
static char *rcsid = "$Header:opset.c 12.0$";
#endif

/*
 *      UNIX debugger
 *      Instruction printing routines.
 *      MACHINE DEPENDENT
 */
#include "defs.h"
 
INT dotinc;
 
printins( insadr, ins )
  long insadr;
  long ins;
{
  char ibuf[80];
  register char *cp;
  register lens, i;
 
  lens = unasm( ins, insadr, ibuf );
  cp = ibuf+22;
  for( i = (lens>>3)-22-3; i-- > 0; )
    printc( *cp++ );
  dotinc = lens & 7;
}
